public class BBMain {
    public static void main(String[] args) {
        BoundedBuffer<Integer> buffer = 
            new BoundedBuffer<Integer>(50);
        Thread[] threads = new Thread[4];
        threads[0] = new Erzeuger(buffer);
        threads[1] = new Verbraucher(buffer);
        threads[2] = new Verbraucher(buffer);
        for (int i = 0; i < 3; i++ ) {
            threads[i].start();
        }
        System.out.println("startet");
        for (int i = 0; i < 3; i++ ) {
            try {
                threads[i].join();
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }
}
class Erzeuger extends Thread {
    BoundedBuffer<Integer> buffer;
    public Erzeuger(BoundedBuffer<Integer> b) {
        buffer = b;
    }
    public void run() {
        int erwartet = 0;
        for( int i = 1; i < 101; i++ ) {
            erwartet += i;
            try {
                buffer.put(i);
                Arbeit.etwasTun(1);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        System.out.println("\nerwartet = " + erwartet);
    }
}
class Verbraucher extends Thread {
    BoundedBuffer<Integer> buffer;
    public Verbraucher(BoundedBuffer<Integer> b) {
        buffer = b;
    }
    public void run() {
        int summe = 0;
        for ( int i = 0; i < 50; i++) {
            try {
                int j = buffer.get();
                summe += j;
                Arbeit.etwasTun(30);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        System.out.println("\nsumme = " + summe);
    }
}