import java.io.IOException;
import java.net.Socket;
import java.net.ServerSocket;

class DistributedHaupt {

    static final int PORT = 10000;

    public static void main(String[] args) 
        throws IOException, ClassNotFoundException  {
        int anzahl = 2; // der RunnableServers
        int aufgaben = 10; // Anzahl der Aufgaben
        ServerSocket so = new ServerSocket(PORT);
        System.out.println("server running at " + so);

        ObjectChannel[] oc = new ObjectChannel[anzahl];
        for ( int i = 0; i < oc.length; i++ ) {
            Socket s = so.accept();
            oc[i] = new ObjectChannel(s);
        }
        System.out.println("Distributed system initialized");
        for ( int i = 0; i < aufgaben; i++ ) {
            HalloNachbar n = new HalloNachbar("Partner " + i);
            oc[i % anzahl].send(n);
        }
        for ( int i = 0; i < aufgaben; i++ ) {
            Object o = oc[i % anzahl].receive();
            System.out.println("recieved: " + o);
        }
        Feierabend fin = new Feierabend();
        for ( int i = 0; i < oc.length; i++ ) {
            oc[i].send(fin);
            oc[i].close();
        }
    }
}
