import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;

public class ErsterClient {

    static int PORT = 10000;

    public static void main(String[] args) {
        String host = "localhost";
        if ( args.length >= 1 ) {
            host = args[0];
        }
        try {
            Socket s = new Socket(host,PORT);
            System.out.println("client s = " + s);
            BufferedReader br = new BufferedReader( 
                                    new InputStreamReader( s.getInputStream() ) );
            PrintWriter pw = new PrintWriter( 
                                 new OutputStreamWriter( s.getOutputStream() ) );
            while ( true ) {
                String zeile = br.readLine();
                System.out.println("client zeile = " + zeile);
                if ( zeile == null ) {
                    break;
                }
                if ( zeile.equals("ENDE") ) {
                    break;
                }
            }
            pw.println("Hallo vom ersten Client");
            pw.println("nice to meet you!");
            pw.flush();
            br.close();
            pw.close();
            s.close();
        } catch (UnknownHostException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
