public class KontoPositiv implements Konto {
    double stand;
    public KontoPositiv(double anfang) {
        stand = anfang;
    }
    public KontoPositiv() {
        this(0.0);
    }
    public double kontoStand() {
        synchronized(this) {
            return stand;
        }
    }
    public String toString() {
        return "" + kontoStand();
    }

    public synchronized double kontoPlus(double betrag) {
        //synchronized (this) { // getClass() == static
        double s = stand + betrag;
        while ( s < 0.0 ) {
            try {
                System.out.println("waiting " 
                                   + betrag + " in " 
                                   + Thread.currentThread()
                                   + ", " + this.hashCode());
                //this.getClass().
                wait();
                System.out.println("done " + this.hashCode()); 
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            s = stand + betrag;
        }
        // Verzögerung
        Arbeit.etwasTun(100);
        stand = s;
        if ( stand >= 0.0 ) {
            this.notifyAll();
        }
        return s;
        //}
    }

    public double kontoMinus(double betrag) {
        return kontoPlus( -betrag );
    }
}
