import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Date;

public class ErsterServer {

    static int PORT = 10000;

    public static void main(String[] args) {
        try {
            ServerSocket so = new ServerSocket(PORT);
            System.out.println("so = " + so);
            Socket s = so.accept();
            System.out.println("s = " + s);
            PrintWriter pw = new PrintWriter( 
                                 new OutputStreamWriter( s.getOutputStream() ) );
            BufferedReader br = new BufferedReader( 
                                    new InputStreamReader( s.getInputStream() ) );
            pw.println("Hallo vom ersten Server");
            pw.println("hier ist es gerade " + new Date());
            pw.println("ENDE");
            pw.flush();
            while ( true ) {
                String zeile = br.readLine();
                System.out.println("server zeile = " + zeile);
                if ( zeile == null ) {
                    break;
                }
            }
            pw.close();
            br.close();
            s.close();	
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
