

import java.io.*;
import java.net.*;

/**
 * Hello World Client using ChannelFactory.
 * Generates clientside socket to host and port sends given message.
 * @author Heinz Kredel.
 */
public class HelloWorldClientCF {

    static int port = 40000;
    static String host = "localhost";
    static String msg = "Hallo Welt";

/**
 * @param args hostname message
 */
    public static void main(String[] args) {

        if (args.length > 0) host = args[0];
        if (args.length > 1) msg = args[1];

        Integer x = new Integer(4711);

        try {

            ChannelFactory cf = new ChannelFactory( );

            SocketChannel c = cf.getChannel( host, port );
            System.out.println("Channel created"); 

            c.send( msg );
            c.send( x );

            c.close();

            cf.terminate();        


        } catch (IOException e) {
            System.out.println("IOException "+e);
        }

    }


}
