/**
 * Matrix Multiplication Interface.
 * @author Heinz Kredel.
 */

public interface MMInf {

/**
 * Performs the multiplication of two matrices.
 * @param C result matrix.
 * @param A left matrix to multiply.
 * @param B right matirx to multiply.
 */
    public void multiply(double[][] C, double[][] A, double[][] B);

}
