#ifndef SeqMult_h
#define SeqMult_h

/**
 * Sequential Matrix Multiplication.
 * Sequential algorithm.
 * @author Joachim Staats.
 */

class SeqMult {
public:
/** 
 * Constructor.
 */
    SeqMult(){;};

/** 
 * Destructor.
 */
    ~SeqMult(){;};

/**
 * Performs the multiplication of two matrices.
 * C = A * B.
 * @param C result matrix.
 * @param A matrix.
 * @param B matrix.
 */
    void multiply(double* C, double* A, double* B, int m, int p, int n);
};

#endif
