
package gui;

//import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowAdapter;

import javax.swing.JFrame;

/**
 * Main class to send GUI window events to the TSP model.
 * @author Heinz Kredel.
 */
public class TSPguiWindowControl extends WindowAdapter /*implements WindowListener*/ {

    TSPguiModel model;

/**
 * @param model the TSPguiModel.
 */
    public TSPguiWindowControl(TSPguiModel model) {
        super();
        this.model = model;
    }

    /* (non-Javadoc)
     * @see java.awt.event.WindowListener#windowClosing(java.awt.event.WindowEvent)
     */
    public void windowClosing(WindowEvent event) {
        JFrame source = (JFrame)event.getSource();
        // System.out.println("source = " + source);
        model.setDone(); 
    }

    /*
    public void windowClosed(WindowEvent event) {
    }

    public void windowOpened(WindowEvent event) {
    }

    public void windowActivated(WindowEvent event) {
    }

    public void windowDeactivated(WindowEvent event) {
    }

    public void windowIconified(WindowEvent event) {
    }

    public void windowDeiconified(WindowEvent event) {
    }
    */

}

