
import java.io.*;

/**
 * Represents a transactions from "KontoS[a]" to "KontoS[b]" using
 * double "betrag" as amount and an array from KontoS as accounts.
 * Will be deprecated, use Ueberweisung with Konto interface.
 * @author Heinz Kredel.
 */

public class UeberweisungS implements Serializable {

    int a;
    int b;
    double betrag;


    /**
     * @param A An index to KontoS[].
     * @param B An index to KontoS[].
     * @param be a double, amount to transfer from account A to account B.
     */
    public UeberweisungS(int A, int B, double be) {
	a = A; b = B; betrag = be;
    }


    /**
     * Calls the methods "getGeld() and "putGeld()" to perform
     * the acounting transaction.
     * @param konten "KontoS" Array, represents accounts.
     */
    public void run(KontoS[] konten) {
	double x = konten[a].getGeld(betrag);
	double y = konten[b].putGeld(betrag);
    }


}
