import java.util.Random;

public class Sitzung1 {

    public static void main(String[] args) {
        Thread t1 = new Thread( new ErsterThread() );
        Thread t2 = new ZweiterThread();
        Thread t3 = new DritterThread();
        t1.start(); t2.start(); t3.start();
        try {
            t1.join(); t2.join(); t3.join();
            //t1.join(); t2.start(); t2.join(); t3.start(); t3.join();
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        System.out.println("am Ende");
        // System.exit(0);
    }
}

class ErsterThread implements Runnable {
    public void run() {
        Random rnd = new Random();
        for (int i = 0; i < 10; i++) {
            try {
                Thread.sleep(Math.abs(rnd.nextLong()%20));
            } catch (InterruptedException e) {
            }
            System.out.println("der erste Thread " + i);
        }
    }
}

class ZweiterThread extends Thread {
    @Override
    public void run() {
        Random rnd = new Random();
        for (int i = 0; i < 10; i++) {
            try {
                Thread.sleep(Math.abs(rnd.nextInt()%20));
            } catch (InterruptedException e) {
            }
            System.out.println("der zweite Thread " + i);
        }
    }   
}

class DritterThread extends Thread {
    @Override
    public void run() {
        Random rnd = new Random();
        for (int i = 0; i < 10; i++) {
            try {
                Thread.sleep((int)(20*Math.random()));
            } catch (InterruptedException e) {
            }
            System.out.println("der dritte Thread " + i);
        }
    }   
}
